PWMSET(1)

NAME
pwmset - Configures a PWM's output waveform

SYNOPSIS

pwmset [-c chipno] [-p pwmno] [-e] [-s sleepns] [-P periodlength] [-D dutylength] [-O dutyoffset] [-v]

Description
pwmset's purpose is to configure a PWM device to emit a certain waveform. The PWM to program is specified by chipno and pwmno. The waveform is described by periodlength, dutylength and dutyoffset.

Options

-c chipno
    Each PWM chip has an identifying chip number. pwmset configures a PWM line provided by chip number chipno. chipno defaults to 0.

-p pwmno
    Each PWM chip provides a number of PWM outputs. pwmset configures the pwmnoth PWM output of the selected chip. pwmno defaults to 0.

-e  Requests that the specified waveform is implemented exactly. If this isn't possible, pwmset fails.

-s sleepns
    It is unspecified what happens with the PWM's output once control over it is given up. After the waveform is programmed, let pwmset keep control over the PWM for sleepns nanoseconds. The default value for sleepns is 5000000000, i.e. five seconds.

-P periodlength
    periodlength in nanoseconds defines the length of the period of the waveform to be set.

-D dutylength
    in nanoseconds defines the length of the active part of the waveform to be set.

-O dutyoffset
    in nanoseconds defines the offset between the start of a period and the start of the period's active part.

-v  Emit some information during runtime.

SEE ALSO
pwmround(1), pwmtestperf(1)